- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Attributes

# MeshChange::VertexChange Struct Reference

Search for all occurrences

## Detailed Description

This struct holds the change information about a single vertex.

Definition at line 1183 of file mesh.h.

`#include <mesh.h>`

List of all members.

## Public Attributes
Vector | m_vPosition
| The position of the vertex before the change.
unsigned int | m_iID
| This variable is used internally.
union {
tnormalv m_iNormal
tnormal m_vNormal [4]
}; |
float | m_fData
| This variable can be used freely to store a float value for the vertex.
unsigned int | m_iVertexIndex
| Index of the vertex.
unsigned int | m_iFaceIndex
| Index of a face which uses the vertex.
unsigned int | m_iLayerVertexIndex
| Index of the vertex within the current sculpt layer.

## Member Data Documentation

Vector m_vPosition

Search for all occurrences

The position of the vertex before the change.

Definition at line 1186 of file mesh.h.

unsigned int m_iID

Search for all occurrences

This variable is used internally.

Definition at line 1188 of file mesh.h.

tnormalv m_iNormal

Search for all occurrences

Definition at line 1192 of file mesh.h.

tnormal m_vNormal[4]

Search for all occurrences

Definition at line 1193 of file mesh.h.

union { ... }

Search for all occurrences

float m_fData

Search for all occurrences

This variable can be used freely to store a float value for the vertex.

Definition at line 1196 of file mesh.h.

unsigned int m_iVertexIndex

Search for all occurrences

Index of the vertex.

Definition at line 1198 of file mesh.h.

unsigned int m_iFaceIndex

Search for all occurrences

Index of a face which uses the vertex.

Definition at line 1200 of file mesh.h.

unsigned int m_iLayerVertexIndex

Search for all occurrences

Index of the vertex within the current sculpt layer.

Definition at line 1202 of file mesh.h.

The documentation for this struct was generated from the following file:

- Mudbox/mesh.h